### Class

# FwupdPlugin EfiLoadOption

since: 1.0

#### Description

    final class FwupdPlugin.EfiLoadOption : FwupdPlugin.Firmware
      implements Fwupd.Codec {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Ancestors

- FuFirmware
- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fu_efi_load_option_new

No description available.

since: 1.9.3

#### Functions

###### fu_efi_load_option_kind_from_string

Converts a string to an enumerated value.

since: 1.0

###### fu_efi_load_option_kind_to_string

Converts an enumerated value to a string.

since: 1.0

#### Instance methods

###### fu_efi_load_option_get_kind

Gets the loadopt kind.

since: 2.0.6

###### fu_efi_load_option_get_metadata

Gets an optional attribute.

since: 2.0.0

###### fu_efi_load_option_set_kind

Sets the loadopt kind.

since: 2.0.6

###### fu_efi_load_option_set_metadata

Sets an optional attribute. If `value` is `NULL` then the key will be removed.

since: 2.0.0

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

since: 2.0.0

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

since: 2.0.0

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

since: 2.0.0

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

since: 2.0.0

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

since: 2.0.0

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

since: 2.0.0

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

since: 2.0.0

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

since: 2.0.0

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct FwupdPluginEfiLoadOptionClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`
  No description available.